-- moreSounds.lua
-- Script for sounds when playing animations
--
-- Author RivalBomb
-- 05.01.2016
-- edit 23.04.2016

moreSounds = {};

function moreSounds.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function moreSounds:load(savegame)
	if self.isClient then
		self.sampleOpenDoorL = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorL = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
		
		self.sampleOpenDoorR = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorR = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
		
		self.sampleOpenDoorBack = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorBack = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
	end;
end;

function moreSounds:delete()
	if self.sampleOpenDoorL ~= nil then
		SoundUtil.deleteSample(self.sampleOpenDoorL);
	end;
	if self.sampleOpenDoorR ~= nil then
		SoundUtil.deleteSample(self.sampleOpenDoorR);
	end;
	
	if self.sampleCloseDoorL ~= nil then
		SoundUtil.deleteSample(self.sampleCloseDoorL);
	end;
	if self.sampleCloseDoorR ~= nil then
		SoundUtil.deleteSample(self.sampleCloseDoorR);
	end;
	
	if self.sampleOpenDoorBack ~= nil then
		SoundUtil.deleteSample(self.sampleOpenDoorBack);
	end;
	if self.sampleCloseDoorBack ~= nil then
		SoundUtil.deleteSample(self.sampleCloseDoorBack);
	end;
end;

function moreSounds:mouseEvent(posX, posY, isDown, isUp, button)
end;

function moreSounds:keyEvent(unicode, sym, modifier, isDown)
end;

function moreSounds:update(dt)
	if self.isClient then
			if self:getIsAnimationPlaying("leftSide") then
				if self.animations["leftSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenDoorL,1,1,nil);
					end;
				elseif self.animations["leftSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseDoorL,1,1,nil);
					end;
				end;
			end;
			
			if self:getIsAnimationPlaying("rightSide") then
				if self.animations["rightSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenDoorR,1,1,nil);
					end;
				elseif self.animations["rightSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseDoorR,1,1,nil);
					end;
				end;
			end;
			
			if self:getIsAnimationPlaying("backSide") then
				if self.animations["backSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenDoorBack, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenDoorBack,1,1,nil);
					end;
				elseif self.animations["backSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseDoorBack, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseDoorBack,1,1,nil);
					end;
				end;
			end;
		end;
	end;

function moreSounds:updateTick(dt)
end;

function moreSounds:draw()	
end;